# Generated from rformat-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rformat

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: rformat is a command line utility to manage rspec formatters
License: MIT
URL: http://github.com/daytonn/rformat
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(terminal-notifier)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-nav)
# BuildRequires: rubygem(rb-fsevent)
# BuildRequires: rubygem(terminal-notifier-guard)
BuildArch: noarch

%description
rformat will swap out the formatter contents of your ~/.rspec file so you can
switch rspec formatters on the fly.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/rformat
%{gem_instdir}/Guardfile
%{gem_instdir}/HELP.txt
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rformat.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.2-1
- Initial package
